from flask import Flask, request
import os

app = Flask(__name__)

# 设置上传文件夹
upload_folder = 'uploads'
if not os.path.exists(upload_folder):
    os.makedirs(upload_folder)

@app.route('/uploadAudio', methods=['POST'])
def upload_audio():
    if 'file' not in request.files:
        return 'No file uploaded', 400

    file = request.files['file']

    if file.filename == '':
        return 'No file selected', 400

    if file:
        filename = f'{upload_folder}/recording.raw'
        file.save(filename)
        print(f'Audio file saved to: {filename}')
        return 'File uploaded successfully', 200

    return 'Error uploading file', 500

if __name__ == '__main__':
    app.run(host='0.0.0.0', port=8888, debug=True)